com.tibbo.aggregate.common.action

## Class ServerActionDefinition

- java.lang.Object
- - com.tibbo.aggregate.common.context.AbstractEntityDefinition
  - - com.tibbo.aggregate.common.action.BasicActionDefinition
    - - com.tibbo.aggregate.common.action.ServerActionDefinition

- All Implemented Interfaces:
    ActionCommandList, ActionDefinition, EntityDefinition, java.lang.Comparable
  Direct Known Subclasses:
    EditTemplateActionDefinition

      public class ServerActionDefinition
      extends BasicActionDefinition

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.action.BasicActionDefinition

      `concurrent`

    - ### Fields inherited from class com.tibbo.aggregate.common.context.AbstractEntityDefinition

      `immutable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerActionDefinition(java.lang.String name)`
    `ServerActionDefinition(java.lang.String name, java.lang.Class actionClass)`
    `ServerActionDefinition(java.lang.String name, java.lang.String description)`
    `ServerActionDefinition(java.lang.String name, java.lang.String description, java.lang.Class actionClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)`
    `java.lang.Integer` | `getIndex()`
    `boolean` | `isFunctionBased()`
    `boolean` | `isGrouped()`
    `boolean` | `isHeadless()` Returns true if action supports non-interactive execution.
    `void` | `setAcceptedContextTypes(java.lang.String... types)`
    `void` | `setHeadless(boolean headless)`
    `void` | `setIndex(int index)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.BasicActionDefinition

      `addDropSource, addPropertyChangeListener, getAccelerator, getCommands, getDropSources, getEntityType, getExecutionGroup, getExecutionLock, getPermissions, instantiate, isConcurrent, isDefault, isEnabled, isHidden, registerCommand, registerCommands, removePropertyChangeListener, setAccelerator, setConcurrent, setDefault, setDescription, setDropSources, setEnabled, setExecutionGroup, setExecutionGroup, setHelp, setHidden, setIconId, setName, setPermissions, unregisterCommand`

    - ### Methods inherited from class com.tibbo.aggregate.common.context.AbstractEntityDefinition

      `getDescription, getGroup, getHelp, getIconId, getName, getOwner, isImmutable, setGroup, setImmutable, setIndex, setOwner, toDetailedString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.context.EntityDefinition

      `getDescription, getGroup, getHelp, getIconId, getName, getOwner, toDetailedString`

- - ### Constructor Detail

    - #### ServerActionDefinition

          public ServerActionDefinition(java.lang.String name)

    - #### ServerActionDefinition

          public ServerActionDefinition(java.lang.String name,
                                        java.lang.String description)

    - #### ServerActionDefinition

          public ServerActionDefinition(java.lang.String name,
                                        java.lang.Class actionClass)

    - #### ServerActionDefinition

          public ServerActionDefinition(java.lang.String name,
                                        java.lang.String description,
                                        java.lang.Class actionClass)

  - ### Method Detail

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      Overrides:
        `compareTo` in class `BasicActionDefinition`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractEntityDefinition`

    - #### setAcceptedContextTypes

          public void setAcceptedContextTypes(java.lang.String... types)

    - #### getIndex

          public java.lang.Integer getIndex()

      Specified by:
        `getIndex` in interface `EntityDefinition`
      Overrides:
        `getIndex` in class `AbstractEntityDefinition`

    - #### isHeadless

          public boolean isHeadless()

      Description copied from interface: `ActionDefinition`
      Returns true if action supports non-interactive execution.
      Specified by:
        `isHeadless` in interface `ActionDefinition`
      Overrides:
        `isHeadless` in class `BasicActionDefinition`

    - #### setIndex

          public void setIndex(int index)

    - #### setHeadless

          public void setHeadless(boolean headless)

    - #### isGrouped

          public boolean isGrouped()

    - #### isFunctionBased

          public boolean isFunctionBased()